Bug 254821 - White screen when using xorg-x11-drv-ati-6.7.191-1.fc8@i386
White screen when using xorg-x11-drv-ati-6.7.191-1.fc8@i386
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-26 06:35 EDT by Stefan Ekman
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 11:49:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg log-file (47.48 KB, application/octet-stream)
2007-08-26 06:35 EDT, Stefan Ekman
no flags Details

  None (edit)
Description Stefan Ekman 2007-08-26 06:35:46 EDT
Description of problem:

Screen turns white, cloudy sort of.

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.7.191-1.fc8@i386

How reproducible:

Every time

Steps to Reproduce:
1. Install the above rpm, reboot or restart X-server
2.
3.
  
Actual results:
White screen

Expected results:
Normal screen

Additional info:

Reverting to xorg-x11-drv-ati-6.6.3-4.fc7@i386 returns functionality
Deleting xorg.conf does not help
Tried Option "AGPMode" "1" without result.
X seems to work behind the clouds, and it is possible to switch to console.

kernel-2.6.23-0.135.rc3.git7.fc8@i686

Dell Inspiron 8600C laptop with ATI Technologies Inc RV350 [Mobility Radeon 9600
M10]. 1920x1200 resolution,
Comment 1 Stefan Ekman 2007-08-26 06:35:46 EDT
Created attachment 172881 [details]
Xorg log-file
Comment 2 Dave Airlie 2007-08-26 18:34:04 EDT
can you give the 6.7.191-2 rpm a spin?

http://koji.fedoraproject.org/koji/buildinfo?buildID=16342

it'll be in rawhide soon..
Comment 3 Tim Mayberry 2007-08-26 23:11:18 EDT
I updated my i386 rawhide box and also experience this with a Radeon 9200
PRO[RV280]. The 6.7.191-1 and 6.7.191-2(mentioned above) rpm's but both exhibit
the same behaviour.

reverting to xorg-x11-drv-ati-6.6.3-4.fc8.i386.rpm returns the output to normal
for me aswell.
Comment 4 Dave Airlie 2007-08-27 00:51:13 EDT
to the initial reported can you add a Virtual line to your xorg.conf to test?

example below it you can use 192

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        DefaultDepth     24
        SubSection "Display"
                Virtual  1920 1200
                Viewport   0 0
                Depth     24
        EndSubSection
EndSection
Comment 5 Stefan Ekman 2007-08-28 16:02:43 EDT
Tested 6.7.191-2 rpm and above settings. No difference.
Comment 6 Stefan Ekman 2007-09-03 10:42:55 EDT
Same with xorg-x11-drv-ati-6.7.192-1.fc8.i386.rpm
Comment 7 Tim Mayberry 2007-09-19 23:16:39 EDT
I thought I'd add that I built and installed the upstream version of the ati
driver that has been tagged as xf86-video-ati-6.7.193 and it reduced the overly
white/brightness of the output somewhat, but it still seems slightly too
white/bright compared to the output if I use org-x11-drv-ati-6.6.3-4.fc8.i386.rpm




Comment 8 Stefan Ekman 2007-09-23 04:43:41 EDT
Tried xorg-x11-drv-ati-6.7.193-1.fc8 Slightly darker clouded screen, but still
no picture.
Comment 9 Dave Airlie 2007-09-25 19:21:13 EDT
Stefan can you post a log with the added virtual line? it appears we are
attempting to use the scaler when we shouldn't .. also giving 6.7.194 a try from
Rawhide...

Tim I think you have a different problem it's a different chipset so please file
your own bug... with Xorg.0.log ..
Comment 10 Stefan Ekman 2007-10-09 03:15:57 EDT
Sorry, can't do that, as I am trying another distro now. So I am no longer a
Fedora user.
Comment 11 Matěj Cepl 2007-10-09 11:49:26 EDT
Sorry to hear it. Reopen this bug when you return ;-)

Note You need to log in before you can comment on or make changes to this bug.